import uaParser from 'ua-parser-js';
import isBot from 'isbot';

export const redirectIfDesktop = (req, res, next) => {
	// const bot = isBot(req.headers['user-agent']);
	
	// if(bot){
	// 	req.isBot = true;
	// 	return next();
	// }

	/** 
	 * banner ad injection
	 */
	if(req.query.burl){
		return next();
	}

	if(req.query.clearCache){
		return next();
	}

	let userAgent = uaParser(req.headers['user-agent']);

	if( userAgent.device.type !== "mobile" ){

		const host = req.get('host');

		return res.redirect(
			getUrl(req).replace( `${host}/m`, host )
		);

	}

	next();
}

export const redirectIfMobile = (req, res, next) => {
	// const bot = isBot(req.headers['user-agent']);
	
	// if(bot){
	// 	req.isBot = true;
	// 	return next();
	// }

	let userAgent = uaParser(req.headers['user-agent']);

	if( userAgent.device.type === "mobile" ){

		const host = req.get('host');

		return res.redirect(
			getUrl(req).replace( host, `${host}/m` )
		)
	}

	next();
}

export const getUrl = ( req ) => {
	return req.protocol + '://' + req.get('host') + req.originalUrl;
}